## org.jedit.options
Class PluginOptionGroup.OptionTreeModel

    java.lang.Object
      org.jedit.options.PluginOptionGroup.OptionTreeModel

All Implemented Interfaces:
  javax.swing.tree.TreeModel

Enclosing class:
  PluginOptionGroup

    public class PluginOptionGroup.OptionTreeModel

extends java.lang.Object
implements javax.swing.tree.TreeModel

Constructor Summary
`PluginOptionGroup.OptionTreeModel()`

Method Summary
`void` `addTreeModelListener(javax.swing.event.TreeModelListener l)`
`protected void` `fireNodesChanged(java.lang.Object source, java.lang.Object[] path, int[] childIndices, java.lang.Object[] children)`
`protected void` `fireNodesInserted(java.lang.Object source, java.lang.Object[] path, int[] childIndices, java.lang.Object[] children)`
`protected void` `fireNodesRemoved(java.lang.Object source, java.lang.Object[] path, int[] childIndices, java.lang.Object[] children)`
`protected void` `fireTreeStructureChanged(java.lang.Object source, java.lang.Object[] path, int[] childIndices, java.lang.Object[] children)`
`java.lang.Object` `getChild(java.lang.Object parent, int index)`
`int` `getChildCount(java.lang.Object parent)`
`int` `getIndexOfChild(java.lang.Object parent, java.lang.Object child)`
`java.lang.Object` `getRoot()`
`boolean` `isLeaf(java.lang.Object node)`
`void` `removeTreeModelListener(javax.swing.event.TreeModelListener l)`
`void` `valueForPathChanged(javax.swing.tree.TreePath path, java.lang.Object newValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginOptionGroup.OptionTreeModel

    public PluginOptionGroup.OptionTreeModel()

Method Detail

### addTreeModelListener

    public void addTreeModelListener(javax.swing.event.TreeModelListener l)

  Specified by:
    `addTreeModelListener` in interface `javax.swing.tree.TreeModel`

### removeTreeModelListener

    public void removeTreeModelListener(javax.swing.event.TreeModelListener l)

  Specified by:
    `removeTreeModelListener` in interface `javax.swing.tree.TreeModel`

### getChild

    public java.lang.Object getChild(java.lang.Object parent,
                                     int index)

  Specified by:
    `getChild` in interface `javax.swing.tree.TreeModel`

### getChildCount

    public int getChildCount(java.lang.Object parent)

  Specified by:
    `getChildCount` in interface `javax.swing.tree.TreeModel`

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object parent,
                               java.lang.Object child)

  Specified by:
    `getIndexOfChild` in interface `javax.swing.tree.TreeModel`

### getRoot

    public java.lang.Object getRoot()

  Specified by:
    `getRoot` in interface `javax.swing.tree.TreeModel`

### isLeaf

    public boolean isLeaf(java.lang.Object node)

  Specified by:
    `isLeaf` in interface `javax.swing.tree.TreeModel`

### valueForPathChanged

    public void valueForPathChanged(javax.swing.tree.TreePath path,
                                    java.lang.Object newValue)

  Specified by:
    `valueForPathChanged` in interface `javax.swing.tree.TreeModel`

### fireNodesChanged

    protected void fireNodesChanged(java.lang.Object source,
                                    java.lang.Object[] path,
                                    int[] childIndices,
                                    java.lang.Object[] children)

### fireNodesInserted

    protected void fireNodesInserted(java.lang.Object source,
                                     java.lang.Object[] path,
                                     int[] childIndices,
                                     java.lang.Object[] children)

### fireNodesRemoved

    protected void fireNodesRemoved(java.lang.Object source,
                                    java.lang.Object[] path,
                                    int[] childIndices,
                                    java.lang.Object[] children)

### fireTreeStructureChanged

    protected void fireTreeStructureChanged(java.lang.Object source,
                                            java.lang.Object[] path,
                                            int[] childIndices,
                                            java.lang.Object[] children)